package com.zcloud.modules.qps.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.qps.entity.BusQpsLogEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author makejava
 * @Desc QPS购买记录(BusQpsLog)表服务接口
 * @Date 2024-04-08 09:01:22
 */
public interface BusQpsLogService extends IService<BusQpsLogEntity> {

    BusQpsLogEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusQpsLogEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(Integer qpsLogId,String userId);

    BusQpsLogEntity getInfoById(Integer qpsLogId);

    BusQpsLogEntity info(String sourceId);
}
